File: control

package info (click to toggle)
gnome-shell 3.30.2-9
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 15,416 kB
  • sloc: ansic: 43,826; xml: 1,337; sh: 370; makefile: 87; python: 21; perl: 13
file content (136 lines) | stat: -rw-r--r-- 5,647 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-shell
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11.1.3),
               gir1.2-accountsservice-1.0 <!nocheck>,
               gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
               gir1.2-geoclue-2.0 <!nocheck>,
               gir1.2-gweather-3.0 (>= 3.25.91) <!nocheck>,
               gir1.2-rsvg-2.0 <!nocheck>,
               gnome-control-center-dev (>= 1:3.4),
               gnome-pkg-tools (>= 0.11),
               gobject-introspection (>= 1.49.1),
               gsettings-desktop-schemas-dev (>= 3.27.90),
               gtk-doc-tools,
               libasound2-dev,
               libatk-bridge2.0-dev,
               libcanberra-dev,
               libcanberra-gtk3-dev,
               libcroco3-dev (>= 0.6.8),
               libecal1.2-dev (>= 3.7.90),
               libedataserver1.2-dev (>= 3.17.2),
               libgcr-3-dev (>= 3.7.5),
               libgirepository1.0-dev (>= 1.29.15),
               libgjs-dev (>= 1.50.2-3~),
               libgl1-mesa-dri <!nocheck>,
               libglib2.0-dev (>= 2.57.2),
               libgnome-bluetooth-dev (>= 3.9.0) [linux-any],
               libgnome-desktop-3-dev (>= 3.27.90),
               libgnome-menu-3-dev,
               libgstreamer1.0-dev (>= 0.11.92),
               libgtk-3-dev (>= 3.21.6),
               libibus-1.0-dev,
               libmutter-3-dev (>= 3.30.0),
               libnm-dev (>= 1.10.4) [linux-any],
               libpolkit-agent-1-dev (>= 0.100),
               libpulse-dev (>= 2.0),
               libsecret-1-dev,
               libstartup-notification0-dev (>= 0.11),
               libsystemd-dev [linux-any],
               libx11-dev,
               libxfixes-dev,
               libxml2-dev,
               mesa-common-dev,
               meson (>= 0.47.0),
               pkg-config (>= 0.22),
               sassc,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://wiki.gnome.org/Projects/GnomeShell
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b debian/buster
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell

Package: gnome-shell
Architecture: linux-any
Depends: evolution-data-server (>= 3.17.2),
         gir1.2-accountsservice-1.0,
         gir1.2-atspi-2.0 (>= 2.9.91),
         gir1.2-freedesktop,
         gir1.2-gcr-3 (>= 3.7.5),
         gir1.2-gdesktopenums-3.0 (>= 3.12),
         gir1.2-gdm-1.0 (>= 3.18.2),
         gir1.2-geoclue-2.0,
         gir1.2-glib-2.0 (>= 1.56.0),
         gir1.2-gnomebluetooth-1.0 (>= 3.12.0) [linux-any],
         gir1.2-gnomedesktop-3.0 (>= 3.27.90),
         gir1.2-gtk-3.0 (>= 3.16),
         gir1.2-gweather-3.0 (>= 3.25.91),
         gir1.2-ibus-1.0 (>= 1.5.2),
         gir1.2-mutter-3 (>= 3.30.0),
         gir1.2-nm-1.0 [linux-any],
         gir1.2-nma-1.0 [linux-any],
         gir1.2-pango-1.0,
         gir1.2-polkit-1.0,
         gir1.2-rsvg-2.0,
         gir1.2-soup-2.4 (>= 2.40.1),
         gir1.2-upowerglib-1.0 (>= 0.99),
         gjs (>= 1.47.90),
         gnome-backgrounds (>= 3.13.90),
         gnome-settings-daemon (>= 3.16.0),
         gnome-shell-common (= ${source:Version}),
         gsettings-desktop-schemas (>= 3.27.90),
         libglib2.0-bin (>= 2.53.0),
         mutter (>= 3.30.0),
         python3,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bolt (>= 0.3),
            chrome-gnome-shell,
            gdm3 (>= 3.10.0.1-3~),
            gkbd-capplet,
            gnome-control-center (>= 1:3.25.2),
            gnome-user-docs,
            iio-sensor-proxy,
            switcheroo-control,
            unzip
Suggests: gir1.2-telepathyglib-0.12,
          gir1.2-telepathylogger-0.2 (>= 0.8.0)
Breaks: gdm3 (<< 3.19.92),
        gnome-session (<< 3.19),
        gnome-shell-extension-autohidetopbar (<< 20180511-2~),
        gnome-shell-extension-caffeine (<< 0~git20171229-3~),
        gnome-shell-extension-dash-to-panel (<< 15-1.1~),
        gnome-shell-extension-dashtodock (<< 64),
        gnome-shell-extension-multi-monitors (<< 0.00~git20171014.1.df5d6e4-1.1~),
        gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
        gnome-shell-extension-taskbar (<< 57.0-2.1~),
        gnome-shell-extension-top-icons-plus (<< 21-4~),
        gnome-shell-extension-workspaces-to-dock (<< 45-1.1~),
        gnome-shell-pomodoro (<< 0.13.4-2.1~),
Conflicts: gnome-screensaver (<< 3.6)
Provides: notification-daemon,
          polkit-1-auth-agent
Description: graphical shell for the GNOME desktop
 The GNOME Shell provides core interface functions like switching
 windows, launching applications or see your notifications. It takes
 advantage of the capabilities of modern graphics hardware and
 introduces innovative user interface concepts to provide a
 delightful and easy to use experience. GNOME Shell is the defining
 technology of the GNOME 3 user experience.

Package: gnome-shell-common
Architecture: all
Depends: ${misc:Depends}
Breaks: gnome-calendar (<< 3.21.4),
        gnome-tweak-tool (<< 3.21.91)
Description: common files for the GNOME graphical shell
 This package contains translations and data files for the GNOME shell.